<app-header></app-header>
<div class="container">
    <div class="col-md-6 col-md-offset-3" >
  <form class="form-horizontal" (ngSubmit)="addUser()">
    <fieldset>
      <div id="legend">
        <legend class="">Register</legend>
      </div>
      <div class="control-group">
        <!-- Username -->
        <label class="control-label" for="username">Username</label>
        <div class="controls">
          <input type="text" id="username" name="username" placeholder="" [(ngModel)]="user.username" class="input-xlarge" required="required">
          <p class="help-block">Username can contain any letters or numbers, without spaces</p>
        </div>
      </div>

      <div class="control-group">
        <!-- E-mail -->
        <label class="control-label" for="email">E-mail</label>
        <div class="controls">
          <input type="text" id="email" name="email" placeholder="" class="input-xlarge" [(ngModel)]="user.email" required="required">
          <p class="help-block">Please provide your E-mail</p>
        </div>
      </div>

      <!-- <div class="control-group">
        <!-- familyName ->
        <label class="control-label" for="familyName">familyName</label>
        <div class="controls">
          <input type="text" id="familyName" name="familyName" placeholder="" class="input-xlarge" [(ngModel)]="user.familyName" required="required">
          <p class="help-block">Please provide your familyName</p>
        </div>
      </div>

      <div class="control-group">
        <!-- givenName ->
        <label class="control-label" for="givenName">givenName</label>
        <div class="controls">
          <input type="text" id="givenName" name="givenName" placeholder="" class="input-xlarge" [(ngModel)]="user.givenName" required="required">
          <p class="help-block">Please provide your givenName</p>
        </div>
      </div> -->

      <div class="control-group">
        <!-- Button -->
        <div class="controls">
          <button class="btn btn-success">Register</button>
        </div>
      </div>
    </fieldset>
  </form>
  </div>
</div>
